## guiqwt 4.0.2

=== doc/requirements.txt ===
Cython==0.29.21
numpy==1.19.1
PyQt5==5.15.0
PyQt5-sip==12.8.0
guidata==1.7.8

## guiqwt 2.1.2

=== debian/changelog ===
guiqwt (2.1.2-1) unstable; urgency=low

  * Imported Upstream version 2.1.2
  * debian/copyright
    - credits Ludovic Aubry for his modifications.
  * debian/control
    - X-Python-Version >= 2.6
    - remove the DM-Upload-Allowed flag as I am DD now.
    - drop the X[S,B]-Python-Version for dh_python2.
    - Update to standars-version 3.9.2.

 -- Picca Frédéric-Emmanuel <picca@synchrotron-soleil.fr>  Tue, 26 Apr 2011 15:44:44 +0200

guiqwt (2.1.1-1) unstable; urgency=low

  * Imported Upstream version 2.1.1
  * debian/patches/
    - 0001-feature-fix-the-documentation-build.patch (deleted)

 -- Picca Frédéric-Emmanuel <picca@synchrotron-soleil.fr>  Wed, 20 Apr 2011 23:02:01 +0200

guiqwt (2.1.0-1) unstable; urgency=low

  * Imported Upstream version 2.1.0
  * debian/patches/
    - 0001-features-01_bts614083.patch (delete)
    - 0001-feature-fix-the-documentation-build.patch (new)
  * add and install the sift desktop file
  * recommends python-dicom (Closes: #621421)
    thanks Junqian Gordon Xu for the report

 -- Picca Frédéric-Emmanuel <picca@synchrotron-soleil.fr>  Thu, 07 Apr 2011 22:41:50 +0200

guiqwt (2.0.8.1-5) unstable; urgency=low

  * switch to gbp-pq for the patch-queue
  * debian/patch/01_bts614083.patch
    - removed (wrong fix)
  * debian/patch/0001-features-01_bts614083.patch
    - fix for real #614148 by removing the -msse2 flag

 -- Picca Frédéric-Emmanuel <picca@synchrotron-soleil.fr>  Thu, 24 Feb 2011 18:59:46 +0100

guiqwt (2.0.8.1-4) unstable; urgency=low

  * remove the Build-Depends-Indep to avoid FTBFS

 -- Picca Frédéric-Emmanuel <picca@synchrotron-soleil.fr>  Sun, 20 Feb 2011 23:37:44 +0100

guiqwt (2.0.8.1-3) unstable; urgency=low

  * fix FTBFS tries to include non-PIC FORTRAN object in shared library
    thanks Hector Oron for the report and the fix;
    Closes: #614148
  * improve the doc generation by adding the right Build-Depends-Indep
    and depending on debhelper 8.1.1 to avoid sphinx files compression.

 -- Picca Frédéric-Emmanuel <picca@synchrotron-soleil.fr>  Sun, 20 Feb 2011 21:58:11 +0100

guiqwt (2.0.8.1-2) unstable; urgency=low

  * fix the Original-Source-Location : sourceforge -> google code.
  * add the guiqwt-test.desktop file
  * debian/patch/01_bts614083.patch
    - FTBFS on multiple architectures -unrecognized command line option "-msse2"
    thanks Hector Oron for reporting and Lifeng Sun for the patch.
    Closes: 614083

 -- Picca Frédéric-Emmanuel <picca@synchrotron-soleil.fr>  Sun, 20 Feb 2011 19:47:00 +0100

guiqwt (2.0.8.1-1) unstable; urgency=low

  * Initial release (Closes: #602555)
  * Thanks to Justin B Rye for package description review

 -- Picca Frédéric-Emmanuel <picca@synchrotron-soleil.fr>  Sat, 13 Nov 2010 11:26:05 +0200

=== debian/control ===
Source: guiqwt
Section: science
Priority: extra
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Picca Frédéric-Emmanuel <picca@synchrotron-soleil.fr>
Build-Depends: debhelper (>= 8.1.1),
	       python-all-dev,
	       python-numpy (>= 1.3),
	       gfortran,
	       python-sphinx,
	       python-guidata,
	       python-qwt5-qt4
X-Python-Version: >= 2.6
Standards-Version: 3.9.2
Vcs-Git: git://git.debian.org/git/debian-science/packages/guiqwt.git
Vcs-Browser: http://git.debian.org/?p=debian-science/packages/guiqwt.git
Homepage: http://code.google.com/p/guiqwt/

Package: python-guiqwt
Section: python
Architecture: any
Depends: ${shlibs:Depends},
	 ${misc:Depends},
	 ${python:Depends},
	 python-qwt5-qt4 (>= 5.2),
	 python-guidata (>= 1.2.5),
	 python-qscintilla2 (>= 2.1),
	 python-numpy (>= 1.3),
	 python-h5py,
	 python-scipy (>= 0.7),
	 python-imaging (>= 1.1.6),
	 libjs-jquery
Recommends: python-dicom
Provides: ${python:Provides}
Description: efficient 2D data-plotting library
 The guiqwt Python library provides efficient 2D data-plotting features
 (curve/image visualization and related tools) for signal/image processing
 application development and interactive computing. It's based on the
 scientific modules NumPy and SciPy, and the PyQwt plotting widgets for
 PyQt4 graphical user interfaces.

## guiqwt 2.1.3

=== debian/changelog ===
guiqwt (2.1.3-1) unstable; urgency=low

  * Imported Upstream version 2.1.3
  * debian/control
    - remove the Depends: python-qscintilla2 (useless now)
    - add Suggests: spyder as recommended by the upstream.

 -- Picca Frédéric-Emmanuel <picca@synchrotron-soleil.fr>  Fri, 06 May 2011 14:24:18 +0200

=== debian/control ===
--- 
+++ 
@@ -24,13 +24,13 @@
 	 ${python:Depends},
 	 python-qwt5-qt4 (>= 5.2),
 	 python-guidata (>= 1.2.5),
-	 python-qscintilla2 (>= 2.1),
 	 python-numpy (>= 1.3),
 	 python-h5py,
 	 python-scipy (>= 0.7),
 	 python-imaging (>= 1.1.6),
 	 libjs-jquery
 Recommends: python-dicom
+Suggests: spyder (>= 2.0.10)
 Provides: ${python:Provides}
 Description: efficient 2D data-plotting library
  The guiqwt Python library provides efficient 2D data-plotting features

## guiqwt 2.1.4

=== debian/changelog ===
guiqwt (2.1.4-1) unstable; urgency=low

  * Imported Upstream version 2.1.4
  * Use my DD address everywhere
  * debian/control
    - update the Vcs-X fields
    - depends on python-guidata >= 1.3.2
  * debian/copyright
    - use the right dep5 Format

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Tue, 05 Jul 2011 16:22:24 +0200

=== debian/control ===
--- 
+++ 
@@ -2,18 +2,18 @@
 Section: science
 Priority: extra
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
-Uploaders: Picca Frédéric-Emmanuel <picca@synchrotron-soleil.fr>
+Uploaders: Picca Frédéric-Emmanuel <picca@debian.org>
 Build-Depends: debhelper (>= 8.1.1),
 	       python-all-dev,
 	       python-numpy (>= 1.3),
 	       gfortran,
 	       python-sphinx,
-	       python-guidata,
+	       python-guidata (>= 1.3.2),
 	       python-qwt5-qt4
 X-Python-Version: >= 2.6
 Standards-Version: 3.9.2
-Vcs-Git: git://git.debian.org/git/debian-science/packages/guiqwt.git
-Vcs-Browser: http://git.debian.org/?p=debian-science/packages/guiqwt.git
+Vcs-Git: git://anonscm.debian.org/debian-science/packages/guiqwt.git
+Vcs-Browser: http://anonscm.debian.org/git/debian-science/packages/guiqwt.git
 Homepage: http://code.google.com/p/guiqwt/
 
 Package: python-guiqwt
@@ -23,7 +23,7 @@
 	 ${misc:Depends},
 	 ${python:Depends},
 	 python-qwt5-qt4 (>= 5.2),
-	 python-guidata (>= 1.2.5),
+	 python-guidata (>= 1.3.2),
 	 python-numpy (>= 1.3),
 	 python-h5py,
 	 python-scipy (>= 0.7),

=== debian/rules ===
#!/usr/bin/make -f

export LDFLAGS= $(shell dpkg-buildflags --get LDFLAGS) -shared
export FFLAGS = $(shell dpkg-buildflags --get FFLAGS) -fPIC

VERSION := $(shell dpkg-parsechangelog | sed -ne 's/^Version: \(.*\)-.*/\1/p')

get-orig-source:
	uscan --force-download --upstream-version $(VERSION) --repack

override_dh_clean:
	dh_clean
	rm -rf build

%:
	dh $@ --with python2

.PHONY: get-orig-source

## guiqwt 2.1.5

=== debian/changelog ===
guiqwt (2.1.5-1) unstable; urgency=low

  * Imported Upstream version 2.1.5
  * use dh_sphinxdoc
  * debian/control
    - fix the Vcs-Browser field
  * debian/copyright fixed using config-edit

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Sun, 11 Sep 2011 21:06:12 +0200

## guiqwt 2.1.6

=== debian/changelog ===
guiqwt (2.1.6-4) unstable; urgency=low

  * bump Standards-Version 3.9.3 (nothing to do)
  * fix FTBFS on kfreebsd

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Sun, 26 Feb 2012 14:43:03 +0100

guiqwt (2.1.6-3) unstable; urgency=low

  * debian/rules
    - updated to build on stable
  * debian/copyright
    - fix copyright Format with cme (config-edit)
  * debian/control
    - better dependencies with cme

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Sun, 26 Feb 2012 10:44:49 +0100

guiqwt (2.1.6-2) unstable; urgency=low

  * use dh_numpy for better numpy dependency.

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Fri, 03 Feb 2012 20:24:08 +0100

guiqwt (2.1.6-1) unstable; urgency=low

  * Imported Upstream version 2.1.6

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Tue, 29 Nov 2011 14:28:56 +0100

=== debian/control ===
Source: guiqwt
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Picca Frédéric-Emmanuel <picca@debian.org>
Section: science
Priority: extra
Build-Depends: debhelper (>= 8),
               gfortran,
               python-all-dev,
               python-guidata,
               python-numpy,
               python-qwt5-qt4,
               python-sphinx
Standards-Version: 3.9.3
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-science/packages/guiqwt.git
Vcs-Git: git://anonscm.debian.org/debian-science/packages/guiqwt.git
Homepage: http://code.google.com/p/guiqwt/
X-Python-Version: >= 2.6

Package: python-guiqwt
Architecture: any
Section: python
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${python:Depends},
         ${sphinxdoc:Depends},
         python-guidata,
         python-h5py,
         python-imaging,
         python-qwt5-qt4 (>= 5.2),
         python-scipy (>= 0.7)
Recommends: python-dicom
Suggests: spyder (>= 2.0.10)
Provides: ${python:Provides}
Description: efficient 2D data-plotting library
 The guiqwt Python library provides efficient 2D data-plotting features
 (curve/image visualization and related tools) for signal/image processing
 application development and interactive computing. It's based on the
 scientific modules NumPy and SciPy, and the PyQwt plotting widgets for
 PyQt4 graphical user interfaces.

=== debian/rules ===
--- 
+++ 
@@ -5,14 +5,22 @@
 
 VERSION := $(shell dpkg-parsechangelog | sed -ne 's/^Version: \(.*\)-.*/\1/p')
 
+# for backport on stable without bpo
+WITH_SPHINXDOC = $(shell if [ -x /usr/bin/dh_sphinxdoc ]; then echo "--with sphinxdoc"; fi)
+
 get-orig-source:
 	uscan --force-download --upstream-version $(VERSION) --repack
 
-override_dh_clean:
+override_dh_autoclean:
+	rm -rf build
+	find . -name *.pyc -delete
 	dh_clean
-	rm -rf build
+
+override_dh_auto_install:
+	dh_auto_install
+	dh_numpy
 
 %:
-	dh $@ --with python2
+	dh $@ --with python2 $(WITH_SPHINXDOC)
 
 .PHONY: get-orig-source

## guiqwt 2.2.1

=== debian/changelog ===
guiqwt (2.2.1-4) unstable; urgency=low

  * debian/rules fixed to allow twice build in a row.

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Sun, 12 May 2013 15:22:10 +0200

guiqwt (2.2.1-3) unstable; urgency=low

  * Uploaded to unstale

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Mon, 06 May 2013 21:43:10 +0200

guiqwt (2.2.1-2) experimental; urgency=low

  * install the qtdesigner files

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Sat, 09 Feb 2013 14:34:28 +0100

guiqwt (2.2.1-1) experimental; urgency=low

  * Imported Upstream version 2.2.1
  * debian/control
    - depends on python-guidata >= 1.5.1

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Fri, 23 Nov 2012 07:57:15 +0100

guiqwt (2.2.0-1) experimental; urgency=low

  * Imported Upstream version 2.2.0
  * Add the guiqwt.svg icon in the .desktop file

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Sun, 09 Sep 2012 10:21:56 +0200

=== debian/rules ===
--- 
+++ 
@@ -11,9 +11,8 @@
 get-orig-source:
 	uscan --force-download --upstream-version $(VERSION) --repack
 
-override_dh_autoclean:
+override_dh_clean:
 	rm -rf build
-	find . -name *.pyc -delete
 	dh_clean
 
 override_dh_auto_install:

## guiqwt 2.3.1

=== debian/changelog ===
guiqwt (2.3.1-1) unstable; urgency=low

  * Imported Upstream version 2.3.1
  * Bump Standards-Version to 3.9.4 (nothing to do)
  * debian/compat
    - switch to debhelper 9
  * Build-Depends
    - removed gfortran
    - added cython
    - upgraded guidata (>= 1.6.0)
  * debian/rules
    - use cython to regenerate the extensions.

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Fri, 25 May 2013 09:27:31 +0200

=== debian/control ===
--- 
+++ 
@@ -3,14 +3,14 @@
 Uploaders: Picca Frédéric-Emmanuel <picca@debian.org>
 Section: science
 Priority: extra
-Build-Depends: debhelper (>= 8),
-               gfortran,
+Build-Depends: debhelper (>= 9),
+               cython,
                python-all-dev,
-               python-guidata,
+               python-guidata (>= 1.6.0),
                python-numpy,
                python-qwt5-qt4,
                python-sphinx
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-science/packages/guiqwt.git
 Vcs-Git: git://anonscm.debian.org/debian-science/packages/guiqwt.git
 Homepage: http://code.google.com/p/guiqwt/
@@ -23,11 +23,11 @@
          ${misc:Depends},
          ${python:Depends},
          ${sphinxdoc:Depends},
-         python-guidata,
+         python-guidata (>= 1.6.0),
          python-h5py,
          python-imaging,
-         python-qwt5-qt4 (>= 5.2),
-         python-scipy (>= 0.7)
+         python-qwt5-qt4,
+         python-scipy
 Recommends: python-dicom
 Suggests: spyder (>= 2.0.10)
 Provides: ${python:Provides}

=== debian/rules ===
--- 
+++ 
@@ -12,6 +12,8 @@
 	uscan --force-download --upstream-version $(VERSION) --repack
 
 override_dh_clean:
+	# remove the cython generated files distributed by upstream
+	rm -f $(patsubst %.pyx,%.c,$(wildcard src/*.pyx))
 	rm -rf build
 	dh_clean

=== debian/watch ===
version=3
opts=\
downloadurlmangle=s|.*[?]name=(.*?)&.*|http://guiqwt.googlecode.com/files/$1|,\
filenamemangle=s|[^/]+[?]name=(.*?)&.*|$1| \
http://code.google.com/p/guiqwt/downloads/detail[?]name=guiqwt-([0-9.]+).zip&.*

## guiqwt 3.0.1

=== debian/changelog ===
guiqwt (3.0.1-1build1) xenial; urgency=medium

  * No-change rebuild to drop python3.4 support.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 19 Jan 2016 13:33:19 +0000

guiqwt (3.0.1-1) unstable; urgency=medium

  * Imported Upstream version 3.0.1

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Sat, 05 Dec 2015 12:36:30 +0100

guiqwt (3.0.0-1~exp2) experimental; urgency=medium

  * debian/rules
    - fix the sphinx doc generation

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Sun, 29 Nov 2015 10:48:02 +0100

guiqwt (3.0.0-1~exp1) experimental; urgency=medium

  * Imported Upstream version 3.0.0

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Mon, 16 Nov 2015 18:44:17 +0100

guiqwt (3.0.0~rc2-1~exp1) experimental; urgency=medium

  * Imported Upstream version 3.0.0~rc2
  * debian/control
    - Depends python-qwt (>= 0.5.0~)

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Sat, 07 Nov 2015 12:04:58 +0100

guiqwt (3.0.0~b7-1~exp1) experimental; urgency=medium

  * Imported Upstream version 3.0.0~b7
  * debian/control
    - Depends python-qwt (>= 0.4.0~)

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Sun, 25 Oct 2015 15:25:09 +0100

guiqwt (3.0.0~b6-1~exp1) experimental; urgency=medium

  * Imported Upstream version 3.0.0~b6
  * debian/control
    - Depends on python-qwt (>= 0.3.0~)

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Sun, 4 Oct 2015 08:48:25 +0200

guiqwt (2.4.0~b2-1~exp2) experimental; urgency=medium

  * add the python3 packages and switch to pybuild

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Wed, 26 Aug 2015 14:58:22 +0200

guiqwt (2.4.0~b2-1~exp1) experimental; urgency=medium

  * use the pypi redirector
  * Imported Upstream version 2.4.0~b2
  * Bump Standards-Version to 3.9.6 (nothing to do)
  * Build-Depends
    - python-qwt5-qt4 (removed)
    - python-qwt (added)
    - guidata (upgraded >= 1.7.0)

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Wed, 26 Aug 2015 11:28:48 +0200

=== debian/rules ===
#!/usr/bin/make -f

#export LDFLAGS= $(shell dpkg-buildflags --get LDFLAGS) -shared

export PYBUILD_NAME=guiqwt

%:
	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild

override_dh_clean:
	# remove the cython generated files distributed by upstream
	rm -f $(patsubst %.pyx,%.c,$(wildcard src/*.pyx))
	rm -rf build
	dh_clean

override_dh_auto_install:
	dh_auto_install
	dh_numpy
	dh_numpy3
	# install the .desktop files
	dh_install -p python-guiqwt debian/guiqwt-tests-py2.desktop /usr/share/applications
	dh_install -p python3-guiqwt debian/guiqwt-tests-py3.desktop /usr/share/applications
	dh_install -p python-guiqwt debian/sift-py2.desktop /usr/share/applications
	dh_install -p python3-guiqwt debian/sift-py3.desktop /usr/share/applications
	# install the qtdesigner files
	dh_install -p python-guiqwt qtdesigner/*.py /usr/lib/qt4/plugins/designer/python

override_dh_auto_build:
	dh_auto_build
	PYBUILD_SYSTEM=custom \
	PYBUILD_BUILD_ARGS="PYTHONPATH={build_dir} http_proxy='127.0.0.1:9' sphinx-build -N -bhtml doc build/html" dh_auto_build  # HTML generator

## guiqwt 3.0.2

=== debian/changelog ===
guiqwt (3.0.2-2) unstable; urgency=medium

  * Use cme to fix the packaging
  * Update the Homepage
  * debian/patches
    + 0001-make-the-build-reproducible-by-supporting-SOURCE_DAT.patch
      thanks Chris Lamb for the patch (Closes: #807605)
    + 0002-fix-the-FTBFS-closes-818809.patch
      thanks Logan Rosen and Pierre Raybaut for the patch (Closes: #818809)

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Sun, 21 Aug 2016 08:56:32 +0200

guiqwt (3.0.2-1) unstable; urgency=medium

  * Imported Upstream version 3.0.2
  * debian/rules
    - build the doc only once.

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Sun, 24 Jan 2016 09:08:16 +0100

=== debian/control ===
Source: guiqwt
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Picca Frédéric-Emmanuel <picca@debian.org>
Section: science
Priority: extra
Build-Depends: cython,
               cython3,
               debhelper (>= 9),
               python-all-dev,
               python-guidata (>= 1.7.0~),
               python-numpy,
               python-qwt,
               python-setuptools,
               python-sphinx,
               python3-all-dev,
               python3-guidata,
               python3-numpy,
               python3-qwt,
               python3-setuptools,
               python3-sphinx
Standards-Version: 3.9.7
Vcs-Browser: http://anonscm.debian.org/cgit/debian-science/packages/guiqwt.git
Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/guiqwt.git
Homepage: https://github.com/PierreRaybaut/guiqwt

Package: python-guiqwt
Architecture: any
Section: python
Depends: python-guidata (>= 1.7.0~),
         python-h5py,
         python-imaging,
         python-qwt,
         python-scipy,
         ${misc:Depends},
         ${python:Depends},
         ${shlibs:Depends},
Recommends: python-dicom
Suggests: spyder
Provides: ${python:Provides}
Description: efficient 2D data-plotting library - Python 2
 The guiqwt Python library provides efficient 2D data-plotting features
 (curve/image visualization and related tools) for signal/image processing
 application development and interactive computing. It's based on the
 scientific modules NumPy and SciPy, and the PyQwt plotting widgets for
 PyQt4 graphical user interfaces.
 .
 This is the Python 2 version of the package.

Package: python3-guiqwt
Architecture: any
Section: python
Depends: python3-guidata,
         python3-h5py,
         python3-pil,
         python3-qwt,
         python3-scipy,
         ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Recommends: python3-dicom
Suggests: spyder3
Provides: ${python3:Provides}
Description: efficient 2D data-plotting library - Python 3
 The guiqwt Python library provides efficient 2D data-plotting
 features (curve/image visualization and related tools) for
 signal/image processing application development and interactive
 computing. It's based on the scientific modules NumPy and SciPy, and
 the PyQwt plotting widgets for PyQt4 graphical user interfaces.
 .
 This is the Python 3 version of the package.

Package: python-guiqwt-doc
Architecture: all
Section: doc
Depends: ${misc:Depends},
         ${sphinxdoc:Depends}
Breaks: python-guiqwt (<< 2.4.0~b2-1~exp2)
Replaces: python-guiqwt (<< 2.4.0~b2-1~exp2)
Description: efficient 2D data-plotting library - Documentation
 The guiqwt Python library provides efficient 2D data-plotting
 features (curve/image visualization and related tools) for
 signal/image processing application development and interactive
 computing. It's based on the scientific modules NumPy and SciPy, and
 the PyQwt plotting widgets for PyQt4 graphical user interfaces.
 .
 This is the documentation of the package.

## guiqwt 3.0.3

=== debian/changelog ===
guiqwt (3.0.3-2ubuntu1) bionic; urgency=medium

  * Merge with Debian; remaining changes:
    - Explicitly build using pyqt5.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 06 Feb 2018 14:54:13 +0100

guiqwt (3.0.3-2) unstable; urgency=medium

  * Team upload.
  * Replace python-imaging by python-pil
    Closes: #866430
  * cme
  * debhelper 10
  * hardening=+all

 -- Andreas Tille <tille@debian.org>  Sun, 07 Jan 2018 09:21:16 +0100

guiqwt (3.0.3-1ubuntu3) artful; urgency=medium

  * No-change rebuild to build to drop python3.5.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 05 Aug 2017 18:41:50 +0000

guiqwt (3.0.3-1ubuntu2) artful; urgency=medium

  * No change rebuild to add Python 3.6 support.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Wed, 07 Jun 2017 16:21:07 -0700

guiqwt (3.0.3-1ubuntu1) artful; urgency=medium

  * Explicitly build using pyqt5.

 -- Bhavani Shankar <bhavi@ubuntu.com>  Sun, 14 May 2017 13:21:31 +0530

guiqwt (3.0.3-1build1) artful; urgency=medium

  * Rebuild for python 3.6 support.

 -- Bhavani Shankar <bhavi@ubuntu.com>  Sun, 14 May 2017 11:23:15 +0530

guiqwt (3.0.3-1) unstable; urgency=medium

  * New upstream version 3.0.3
  * Bump Standards-Version to 3.9.8 (nothing to do)
  * d/patches
    - 0002-fix-the-FTBFS-closes-818809.patch (upstreamed)

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Wed, 12 Oct 2016 21:48:38 +0200

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,12 @@
 Source: guiqwt
-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Picca Frédéric-Emmanuel <picca@debian.org>
 Section: science
-Priority: extra
+Priority: optional
 Build-Depends: cython,
                cython3,
-               debhelper (>= 9),
+               debhelper (>= 10),
                python-all-dev,
                python-guidata (>= 1.7.0~),
                python-numpy,
@@ -17,9 +18,11 @@
                python3-numpy,
                python3-qwt,
                python3-setuptools,
-               python3-sphinx
-Standards-Version: 3.9.7
-Vcs-Browser: http://anonscm.debian.org/cgit/debian-science/packages/guiqwt.git
+               python3-sphinx,
+               python3-pyqt5,
+               python-pyqt5
+Standards-Version: 4.1.3
+Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/guiqwt.git
 Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/guiqwt.git
 Homepage: https://github.com/PierreRaybaut/guiqwt
 
@@ -28,12 +31,12 @@
 Section: python
 Depends: python-guidata (>= 1.7.0~),
          python-h5py,
-         python-imaging,
+         python-pil,
          python-qwt,
          python-scipy,
          ${misc:Depends},
          ${python:Depends},
-         ${shlibs:Depends},
+         ${shlibs:Depends}
 Recommends: python-dicom
 Suggests: spyder
 Provides: ${python:Provides}

=== debian/rules ===
--- 
+++ 
@@ -2,7 +2,10 @@
 
 #export LDFLAGS= $(shell dpkg-buildflags --get LDFLAGS) -shared
 
+export DEB_BUILD_MAINT_OPTIONS=hardening=+all
+
 export PYBUILD_NAME=guiqwt
+export PYBUILD_BUILD_ARGS=--no-doc
 
 %:
 	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild
@@ -10,7 +13,7 @@
 override_dh_clean:
 	# remove the cython generated files distributed by upstream
 	rm -f $(patsubst %.pyx,%.c,$(wildcard src/*.pyx))
-	rm -rf build
+	rm -rf doc/build
 	dh_clean
 
 override_dh_auto_install:
@@ -25,7 +28,10 @@
 	# install the qtdesigner files
 	dh_install -p python-guiqwt qtdesigner/*.py /usr/lib/qt4/plugins/designer/python
 
-override_dh_auto_build:
-	dh_auto_build
+override_dh_sphinxdoc:
+ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
 	PYBUILD_SYSTEM=custom \
-	PYBUILD_BUILD_ARGS="PYTHONPATH={build_dir} http_proxy='127.0.0.1:9' sphinx-build -N -bhtml doc build/html" dh_auto_build  # HTML generator
+	PYBUILD_BUILD_ARGS="cd doc && PYTHONPATH={build_dir} http_proxy='127.0.0.1:9' {interpreter} -c \"import sys;from sphinx import main;sys.exit(main(sys.argv))\" -N -bhtml . build/html" dh_auto_build  # HTML generator
+	dh_installdocs "doc/build/html" -p python-guiqwt-doc
+	dh_sphinxdoc -O--buildsystem=pybuild
+endif

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/guiqwt/guiqwt-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## guiqwt 3.0.5

=== debian/changelog ===
guiqwt (3.0.5-1) unstable; urgency=medium

  * New upstream version 3.0.5
  * Switched to dh compat level 13
  * Bump Standards-Version to 4.5.0 (nothing to do)

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Tue, 01 Sep 2020 13:58:15 +0200

guiqwt (3.0.3-4) unstable; urgency=medium

  * Python2 removal
  * Removed d/s/local-options
  * d/rules: use python -m sphinx to build the documentation
  * d/control: Added Build-Depends dh-python
  * Added salsa-ci.yml

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Tue, 08 Oct 2019 11:08:00 +0200

guiqwt (3.0.3-3) unstable; urgency=medium

  * Team upload.
  * Update Vcs-* fields to salsa.d.o.
  * Bump Standards-Version to 4.2.1.
    + Set Rules-Requires-Root:no.
  * Mark the -doc package as Multi-Arch:foreign.
  * Export LC_ALL=C in a blind try to obtain a reproducible build.
  * Drop now obsolete ${python(3):Provides}.
  * Suggests the documentation package from the library packages.
    Closes: #849612
  * Bump debhelper compat level to 11.

 -- Mattia Rizzolo <mattia@debian.org>  Thu, 27 Sep 2018 12:43:54 +0200

=== debian/control ===
Source: guiqwt
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Picca Frédéric-Emmanuel <picca@debian.org>
Section: science
Priority: optional
Build-Depends: cython3,
               debhelper-compat (= 13),
               dh-python,
               python3-all-dev,
               python3-guidata,
               python3-numpy,
               python3-qwt,
               python3-setuptools,
               python3-sphinx
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/science-team/guiqwt
Vcs-Git: https://salsa.debian.org/science-team/guiqwt.git
Homepage: https://github.com/PierreRaybaut/guiqwt
Rules-Requires-Root: no

Package: python3-guiqwt
Architecture: any
Section: python
Depends: python3-guidata,
         python3-h5py,
         python3-pil,
         python3-qwt,
         python3-scipy,
         ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Recommends: python3-dicom
Suggests: python-guiqwt-doc, spyder3
Description: efficient 2D data-plotting library - Python 3
 The guiqwt Python library provides efficient 2D data-plotting
 features (curve/image visualization and related tools) for
 signal/image processing application development and interactive
 computing. It's based on the scientific modules NumPy and SciPy, and
 the PyQwt plotting widgets for PyQt4 graphical user interfaces.
 .
 This is the Python 3 version of the package.

Package: python-guiqwt-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Breaks: python-guiqwt (<< 2.4.0~b2-1~exp2)
Replaces: python-guiqwt (<< 2.4.0~b2-1~exp2)
Description: efficient 2D data-plotting library - Documentation
 The guiqwt Python library provides efficient 2D data-plotting
 features (curve/image visualization and related tools) for
 signal/image processing application development and interactive
 computing. It's based on the scientific modules NumPy and SciPy, and
 the PyQwt plotting widgets for PyQt4 graphical user interfaces.
 .
 This is the documentation of the package.

=== debian/rules ===
#!/usr/bin/make -f

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

export PYBUILD_NAME=guiqwt
export PYBUILD_BUILD_ARGS=--no-doc

export LC_ALL=C

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_clean:
	# remove the cython generated files distributed by upstream
	rm -f $(patsubst %.pyx,%.c,$(wildcard src/*.pyx))
	rm -rf doc/build
	dh_clean

override_dh_auto_install:
	dh_auto_install
	dh_numpy3
	# install the .desktop files
	dh_install -p python3-guiqwt debian/guiqwt-tests-py3.desktop /usr/share/applications
	dh_install -p python3-guiqwt debian/sift-py3.desktop /usr/share/applications
	# install the qtdesigner files
	dh_install -p python3-guiqwt qtdesigner/*.py /usr/lib/$(DEB_HOST_MULTIARCH)/qt5/plugins/designer/python

override_dh_python3:
	dh_python3
	dh_python3 -p python3-guiqwt /usr/lib/$(DEB_HOST_MULTIARCH)/qt5/plugins/designer/python

override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	PYBUILD_SYSTEM=custom \
	PYBUILD_BUILD_ARGS="cd doc && PYTHONPATH={build_dir} http_proxy='127.0.0.1:9' {interpreter} -m sphinx -N -bhtml . build/html" dh_auto_build  # HTML generator
	dh_installdocs "doc/build/html" -p python-guiqwt-doc --doc-main-package=python-guiqwt-doc
	dh_sphinxdoc -O--buildsystem=pybuild
endif

## guiqwt 3.0.7

=== debian/changelog ===
guiqwt (3.0.7-2) unstable; urgency=medium

  * Update standards version to 4.5.1, no changes needed.
  * d/control: Used dh-sequence-X
  * d/rules: Simplified thanks to dh-sequence-X
  * d/rules: Used execute_[before/after]

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Tue, 31 Aug 2021 20:09:19 +0200

guiqwt (3.0.7-1) unstable; urgency=medium

  [ Picca Frédéric-Emmanuel ]
  * fixed build option name nodocs -> nodoc
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Fix day-of-week for changelog entry 2.3.1-1.
  * Update watch file format version to 4.

  [ Debian Janitor ]
  * New upstream release.

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Mon, 16 Aug 2021 04:34:14 -0000

=== debian/control ===
--- 
+++ 
@@ -6,13 +6,16 @@
 Build-Depends: cython3,
                debhelper-compat (= 13),
                dh-python,
+               dh-sequence-numpy3,
+               dh-sequence-python3,
                python3-all-dev,
                python3-guidata,
                python3-numpy,
                python3-qwt,
                python3-setuptools,
-               python3-sphinx
-Standards-Version: 4.5.0
+Build-Depends-Indep: dh-sequence-sphinxdoc <!nodoc>,
+                     python3-sphinx <!nodoc>
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/science-team/guiqwt
 Vcs-Git: https://salsa.debian.org/science-team/guiqwt.git
 Homepage: https://github.com/PierreRaybaut/guiqwt

=== debian/watch ===
version=4
opts=uversionmangle=s/(rc|a|b|c)/~$1/ https://pypi.debian.net/guiqwt guiqwt-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## guiqwt 4.0.1

=== debian/changelog ===
guiqwt (4.0.1-1build1) jammy; urgency=medium

  * No-change rebuild with Python 3.10 only

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 16 Mar 2022 22:42:32 +0000

guiqwt (4.0.1-1) unstable; urgency=medium

  * d/watch: Updated with the right redirector url
  * New upstream version 4.0.1
  * d/control: Build-Depends guidata >= 2.0.0
  * wrap-and-sort -ast
  * d/patches/*: Refreshed

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Thu, 06 Jan 2022 13:32:31 +0100

=== debian/control ===
Source: guiqwt
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders:
 Picca Frédéric-Emmanuel <picca@debian.org>,
Section: science
Priority: optional
Build-Depends:
 cython3,
 debhelper-compat (= 13),
 dh-python,
 dh-sequence-numpy3,
 dh-sequence-python3,
 python3-all-dev,
 python3-guidata (>= 2.0.0),
 python3-numpy,
 python3-qwt,
 python3-setuptools,
Build-Depends-Indep:
 dh-sequence-sphinxdoc <!nodoc>,
 python3-sphinx <!nodoc>,
Standards-Version: 4.5.1
Vcs-Browser: https://salsa.debian.org/science-team/guiqwt
Vcs-Git: https://salsa.debian.org/science-team/guiqwt.git
Homepage: https://github.com/PierreRaybaut/guiqwt
Rules-Requires-Root: no

Package: python3-guiqwt
Architecture: any
Section: python
Depends:
 python3-guidata (>= 2.0.0),
 python3-h5py,
 python3-pil,
 python3-qwt,
 python3-scipy,
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Recommends:
 python3-dicom,
Suggests:
 python-guiqwt-doc,
 spyder3,
Description: efficient 2D data-plotting library - Python 3
 The guiqwt Python library provides efficient 2D data-plotting
 features (curve/image visualization and related tools) for
 signal/image processing application development and interactive
 computing. It's based on the scientific modules NumPy and SciPy, and
 the PyQwt plotting widgets for PyQt4 graphical user interfaces.
 .
 This is the Python 3 version of the package.

Package: python-guiqwt-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Breaks:
 python-guiqwt (<< 2.4.0~b2-1~exp2),
Replaces:
 python-guiqwt (<< 2.4.0~b2-1~exp2),
Description: efficient 2D data-plotting library - Documentation
 The guiqwt Python library provides efficient 2D data-plotting
 features (curve/image visualization and related tools) for
 signal/image processing application development and interactive
 computing. It's based on the scientific modules NumPy and SciPy, and
 the PyQwt plotting widgets for PyQt4 graphical user interfaces.
 .
 This is the documentation of the package.

## guiqwt 4.0.2

=== debian/changelog ===
guiqwt (4.0.2-1) unstable; urgency=medium

  * New upstream version 4.0.2

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Sun, 20 Mar 2022 08:40:23 +0100

## guiqwt 4.1.1

=== debian/changelog ===
guiqwt (4.1.1-1) unstable; urgency=medium

  * New upstream version 4.1.1

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Wed, 01 Jun 2022 18:13:54 +0200

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
  dh-sequence-numpy3,
  dh-sequence-python3,
  python3-all-dev,
- python3-guidata (>= 2.0.0),
+ python3-guidata (>= 2.2.0),
  python3-numpy,
  python3-qwt,
  python3-setuptools,
@@ -28,11 +28,6 @@
 Architecture: any
 Section: python
 Depends:
- python3-guidata (>= 2.0.0),
- python3-h5py,
- python3-pil,
- python3-qwt,
- python3-scipy,
  ${misc:Depends},
  ${python3:Depends},
  ${shlibs:Depends},
@@ -40,7 +35,7 @@
  python3-dicom,
 Suggests:
  python-guiqwt-doc,
- spyder3,
+ spyder,
 Description: efficient 2D data-plotting library - Python 3
  The guiqwt Python library provides efficient 2D data-plotting
  features (curve/image visualization and related tools) for

## guiqwt 4.2.0

=== debian/changelog ===
guiqwt (4.2.0-1) unstable; urgency=medium

  * New upstream version 4.2.0
  * d/control: B-D python-qwt >= 0.10
  * no more guiqwt-tests-py3 and sift-py3

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Sun, 05 Jun 2022 19:44:41 +0200

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
  python3-all-dev,
  python3-guidata (>= 2.2.0),
  python3-numpy,
- python3-qwt,
+ python3-qwt (>= 0.10),
  python3-setuptools,
 Build-Depends-Indep:
  dh-sequence-sphinxdoc <!nodoc>,

## guiqwt 4.3.1

=== debian/changelog ===
guiqwt (4.3.1-1) unstable; urgency=medium

  * New upstream version 4.3.1

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Mon, 17 Oct 2022 11:26:17 +0200

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
  dh-sequence-numpy3,
  dh-sequence-python3,
  python3-all-dev,
- python3-guidata (>= 2.2.0),
+ python3-guidata (>= 2.3.0),
  python3-numpy,
  python3-qwt (>= 0.10),
  python3-setuptools,

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/architecture.mk

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

export PYBUILD_NAME=guiqwt

export LC_ALL=C

%:
	dh $@ --buildsystem=pybuild

execute_before_dh_clean:
	# remove the cython generated files distributed by upstream
	rm -f $(patsubst %.pyx,%.c,$(wildcard src/*.pyx))
	rm -rf doc/build

override_dh_auto_build-arch: PYBUILD_BUILD_ARGS=--no-doc
override_dh_auto_build-arch:
	dh_auto_build

execute_after_dh_auto_build-indep:
	dh_auto_build -- -s custom --build-args="cd doc && PYTHONPATH={build_dir} http_proxy='127.0.0.1:9' {interpreter} -m sphinx -N -bhtml . build/html"

execute_after_dh_auto_install-arch:
	# install the .desktop files
	dh_install -p python3-guiqwt debian/guiqwt-tests.desktop /usr/share/applications
	dh_install -p python3-guiqwt debian/sift.desktop /usr/share/applications
	# install the qtdesigner files
	dh_install -p python3-guiqwt qtdesigner/*.py /usr/lib/$(DEB_HOST_MULTIARCH)/qt5/plugins/designer/python

execute_after_dh_auto_install-indep:
	dh_installdocs "doc/build/html" -p python-guiqwt-doc --doc-main-package=python-guiqwt-doc

execute_after_dh_python3:
	dh_python3 -p python3-guiqwt /usr/lib/$(DEB_HOST_MULTIARCH)/qt5/plugins/designer/python

## guiqwt 4.4.1

=== debian/changelog ===
guiqwt (4.4.1-1) unstable; urgency=medium

  * New upstream version 4.4.1
  * Remove constraints unnecessary since bullseye (oldstable)
  * d/control: B-D on python3-guidata (>= 3.0.1)

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Fri, 28 Jul 2023 16:33:19 +0200

=== debian/control ===
--- 
+++ 
@@ -11,14 +11,14 @@
  dh-sequence-numpy3,
  dh-sequence-python3,
  python3-all-dev,
- python3-guidata (>= 2.3.0),
+ python3-guidata (>= 3.0.1),
  python3-numpy,
  python3-qwt (>= 0.10),
  python3-setuptools,
 Build-Depends-Indep:
  dh-sequence-sphinxdoc <!nodoc>,
  python3-sphinx <!nodoc>,
-Standards-Version: 4.5.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/science-team/guiqwt
 Vcs-Git: https://salsa.debian.org/science-team/guiqwt.git
 Homepage: https://github.com/PierreRaybaut/guiqwt
@@ -32,7 +32,7 @@
  ${python3:Depends},
  ${shlibs:Depends},
 Recommends:
- python3-dicom,
+ python3-pydicom,
 Suggests:
  python-guiqwt-doc,
  spyder,

## guiqwt 4.4.4

=== debian/changelog ===
guiqwt (4.4.4-2) unstable; urgency=medium

  * Team upload.
  * Replace Qt4 in descriptino with Qt5/Qt6
  * Bump Standards-Version to 4.7.2
  * Drop "Rules-Requires-Root: no", it is the new default

 -- Alexandre Detiste <tchet@debian.org>  Thu, 21 Aug 2025 00:36:58 +0200

guiqwt (4.4.4-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
    Closes:  #1056806

 -- Andreas Tille <tille@debian.org>  Sat, 20 Jan 2024 21:51:03 +0100

=== debian/control ===
Source: guiqwt
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Picca Frédéric-Emmanuel <picca@debian.org>
Section: science
Priority: optional
Build-Depends: cython3,
               debhelper-compat (= 13),
               dh-sequence-numpy3,
               dh-sequence-python3,
               python3-all-dev,
               python3-guidata (>= 3.0.1),
               python3-numpy,
               python3-qwt (>= 0.10),
               python3-setuptools
Build-Depends-Indep: dh-sequence-sphinxdoc <!nodoc>,
                     python3-sphinx <!nodoc>
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/science-team/guiqwt
Vcs-Git: https://salsa.debian.org/science-team/guiqwt.git
Homepage: https://github.com/PierreRaybaut/guiqwt

Package: python3-guiqwt
Architecture: any
Section: python
Depends: ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Recommends: python3-pydicom
Suggests: python-guiqwt-doc,
          spyder
Description: efficient 2D data-plotting library - Python 3
 The guiqwt Python library provides efficient 2D data-plotting
 features (curve/image visualization and related tools) for
 signal/image processing application development and interactive
 computing. It's based on the scientific modules NumPy and SciPy, and
 the PyQwt plotting widgets for PyQt5/PyQt6 graphical user interfaces.
 .
 This is the Python 3 version of the package.

Package: python-guiqwt-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends},
         ${sphinxdoc:Depends}
Description: efficient 2D data-plotting library - Documentation
 The guiqwt Python library provides efficient 2D data-plotting
 features (curve/image visualization and related tools) for
 signal/image processing application development and interactive
 computing. It's based on the scientific modules NumPy and SciPy, and
 the PyQwt plotting widgets for PyQt5/PyQt6 graphical user interfaces.
 .
 This is the documentation of the package.

=== debian/watch ===
version=4
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.python.org/packages/source/g/guiqwt/ \
  guiqwt-(.+)\.tar\.gz debian uupdate
